%define syckversion 0.35
%define yamldoc yamlrb-0.49.pdf
Summary: Syck is a YAML parser, an extension for scripting languages
Name: syck
Version: %{syckversion}
Release: 1
License: BSD
Group: Development/Libraries
Source0: http://prdownloads.sourceforge.net/yaml4r/%{name}-%{version}.tar.gz
Source1: http://prdownloads.sourceforge.net/yaml4r/%{yamldoc}
URL: http://yaml4r.sourceforge.net/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}

%description
Syck is an extension for reading YAML swiftly in popular scripting languages.
As Syck loads the YAML, it stores the data directly in your language's symbol
table.

%package YAML-ruby
%define yamlversion 0.60
Summary: YAML is for writing data structures in plain text
Group: Applications/Ruby
Version: %{yamlversion}
BuildRequires: ruby
Requires: syck

%define ruby18 %( [ `ruby -r rbconfig -e 'print Config::CONFIG["MAJOR"], ".", Config::CONFIG["MINOR"]'` = '1.8' ] && echo 1 || echo 0 )
%if %{ruby18}
Requires: ruby >= 1.8.0
%else
Requires: ruby >= 1.6.0
%endif

%description YAML-ruby
YAML is a new language for data. A readable, friendly language for storing
lists, dictionaries, text, numerics and more. This is the Ruby interface
to YAML.

%prep
%setup -n %{name}-%{syckversion}
cp -p %{SOURCE1} .

%build
# build syck
%configure
make

# build YAML
cd ext/ruby
eval sitearchdir=`ruby -r rbconfig -e 'p Config::CONFIG["sitearchdir"]'`
mkdir -p $RPM_BUILD_ROOT$sitearchdir
ruby install.rb config \
	--prefix=$RPM_BUILD_ROOT/%{_prefix} \
	--so-dir=$RPM_BUILD_ROOT$sitearchdir
ruby install.rb setup
strip ext/syck/syck.so

%install
rm -rf $RPM_BUILD_ROOT

# install syck
make install DESTDIR=$RPM_BUILD_ROOT

# install YAML
cd ext/ruby
ruby install.rb install

find $RPM_BUILD_ROOT%{_libdir}/ruby -type f -print | \
    ruby -pe 'sub(%r{^'$RPM_BUILD_ROOT'}, "")' > ../../ruby-YAML-filelist

%files
%doc COPYING README RELEASE
%{_libdir}/libsyck.a
%{_includedir}/syck.h
%{_includedir}/syck_st.h

%files YAML-ruby -f ruby-YAML-filelist
%doc ext/ruby/README ext/ruby/CHANGELOG ext/ruby/tests ext/ruby/samples
%doc %{yamldoc}
%defattr(-,root,root)

%changelog
* Wed Jun 18 2003 Ian Macdonald <ian@caliban.org> 0.35-1
- syck 0.35/YAML 0.60
